#
# spec file for package gradio

Name:           gradio
Version:        5.0
Release:        %mkrel 2
Summary:        GTK3 app for finding and listening to internet radio stations
License:        GPL-3.0+
Group:          Sound
Url:            https://github.com/haecker-felix/gradio
Source:         https://github.com/haecker-felix/gradio/archive/%{name}-%{version}.tar.xz
Patch0:         audio-player.vala.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
#------------------------------------
BuildRequires: gettext-devel
BuildRequires: glibc-devel
BuildRequires: intltool
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gstreamer1.0-devel
BuildRequires: lib64gstreamer-plugins-base1.0-devel
BuildRequires: lib64gtk+3.0-devel 
BuildRequires: lib64json-glib-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64soup-devel
#------------------------------------
Requires: vala
Requires: lib64atk1.0_0
Requires: lib64cairo2 
Requires: lib64gdk_pixbuf2.0_0
Requires: lib64gio2.0_0
Requires: lib64glib2.0_0
Requires: lib64gstreamer1.0_0
Requires: lib64gstreamer-plugins-base1.0_0
Requires: lib64gtk+3_0
Requires: lib64json-glib1.0_0
Requires: lib64pango1.0_0
Requires: lib64soup2.4_1
#------------------------------------

%description
Gradio is a native GTK application. It lets you browse, search and find radio
stations, as well as listen to them, without needing to use a browser or enter
an internet radio stream URL. The application uses the Community Radio Browser
website for its database backend.


%prep
%setup -q
%apply_patches

%build
./autogen.sh
%configure2_5x
%make

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/gradio
%{_datadir}/applications/de.haeckerfelix.gradio.desktop
%{_datadir}/glib-2.0/schemas/de.haecker-felix.gradio.gschema.xml
%{_datadir}/gradio/gradio.css
%{_datadir}/icons/hicolor/128x128/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/16x16/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/192x192/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/32x32/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/48x48/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/64x64/apps/de.haeckerfelix.gradio.png
%{_datadir}/icons/hicolor/scalable/categories/globe-symbolic.svg
%{_datadir}/icons/hicolor/scalable/categories/language-symbolic.svg
%{_datadir}/icons/hicolor/scalable/categories/map-marker-symbolic.svg
%{_datadir}/icons/hicolor/scalable/categories/tags-symbolic.svg
%{_datadir}/icons/hicolor/symbolic/apps/de.haeckerfelix.gradio-symbolic.svg

%post
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%postun
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%changelog
* Wed May 31 2017 bb2 <bb2> - 5.0-2pclos2017
- patch out codec is missing message for now

* Tue May 30 2017 bb2 <bb2> - 5.0-1pclos2017
- create package
